View Issue Details

IDProjectCategoryView StatusLast Update
0012634Tine 2.0ActiveSyncpublic2017-10-09 11:37
ReporterhobbyistAssigned Topschuele 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version2017.11.1~rc3 Caroline Business EditionFixed in Version2017.11.1~rc3 Caroline Business Edition 
Summary0012634: ActiveSync: Add android as device which is abled to handle multiple folders
DescriptionPlease add the value "android" to the array $_devicesWithMultipleFolders in ActiveSync/Frontend/Abstract.php to support multiple (calendar) folders for Android-devices using ActiveSync.

Android is supporting calendar-folders since version 4.4 Kitkat.
Additional InformationCompare:
https://www.tine20.org/forum/viewtopic.php?f=42&t=18278&p=65776
https://www.tine20.org/forum/viewtopic.php?f=42&t=9534&p=60824
TagsNo tags attached.
mwticket

Activities

pschuele

pschuele

2017-02-13 12:46

administrator   ~0019534

https://gerrit.tine20.org/tine20/3443
pschuele

pschuele

2017-02-13 15:10

administrator   ~0019538

some tests need to be adopted:

Addressbook_Frontend_ActiveSyncTest.testUpdateFolderAndroid
Addressbook_Frontend_ActiveSyncTest.testGetAllFoldersPalm
Calendar_Frontend_ActiveSyncTest.testUpdateFolderAndroid
Calendar_Frontend_ActiveSyncTest.testGetAllFoldersPalm
Tasks_Frontend_ActiveSyncTest.testUpdateFolderAndroid
Tasks_Frontend_ActiveSyncTest.testGetAllFoldersPalm
pschuele

pschuele

2017-02-15 11:16

administrator   ~0019558

sorry, this isn't as easy as expected. it isn't just the tests that need to be changed. there is some logic in the Syncroton library for this.
pschuele

pschuele

2017-02-15 11:35

administrator   ~0019560

i think, the problem are folder-updates. this needs to be adjusted (in Syncroton?).
hobbyist

hobbyist

2017-02-15 20:40

reporter   ~0019564

Okay, I manage with my workaround until then. Thank you in advance.

Issue History

Date Modified Username Field Change
2017-02-13 10:18 hobbyist New Issue
2017-02-13 12:25 pschuele Target Version => 2017.02.1 Community Edition
2017-02-13 12:38 pschuele Assigned To => pschuele
2017-02-13 12:38 pschuele Status new => assigned
2017-02-13 12:46 pschuele Note Added: 0019534
2017-02-13 12:46 pschuele Status assigned => gerrit
2017-02-13 15:10 pschuele Note Added: 0019538
2017-02-15 11:16 pschuele Note Added: 0019558
2017-02-15 11:34 pschuele Assigned To pschuele =>
2017-02-15 11:34 pschuele Status gerrit => acknowledged
2017-02-15 11:34 pschuele Target Version 2017.02.1 Community Edition => feature requests
2017-02-15 11:35 pschuele Note Added: 0019560
2017-02-15 20:40 hobbyist Note Added: 0019564
2017-10-05 17:58 pschuele Assigned To => pschuele
2017-10-05 17:58 pschuele Target Version feature requests => 2017.11.1~rc3 Caroline Business Edition
2017-10-06 12:09 pschuele Status acknowledged => gerrit
2017-10-09 11:37 pschuele Status gerrit => resolved
2017-10-09 11:37 pschuele Resolution open => fixed
2017-10-09 11:37 pschuele Fixed in Version => 2017.11.1~rc3 Caroline Business Edition